Bug 870039 - sss_cache says 'Wrong DB version'
Summary: sss_cache says 'Wrong DB version'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jakub Hrozek
QA Contact: Kaushik Banerjee
URL:
Whiteboard:
Depends On:
Blocks: 881827
TreeView+ depends on / blocked
 
Reported: 2012-10-25 13:08 UTC by Dmitri Pal
Modified: 2020-05-02 17:02 UTC (History)
4 users (show)

Fixed In Version: sssd-1.9.2-18.el6
Doc Type: Bug Fix
Doc Text:
Cause: sss_cache was run after SSSD downgrade but the cache file remained from previous SSSD version. Thus sss_cache did not know how to manipulate with the cache file. Consequence: sss_cache printed confusing error message. Fix: Invalid db version error message was improved in sss_cache tool. Result: When an invalid cache version is detected, sss_cache print a suggested solution.
Clone Of:
Environment:
Last Closed: 2013-02-21 09:38:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github SSSD sssd issues 2631 None None None 2020-05-02 17:02:06 UTC
Red Hat Product Errata RHSA-2013:0508 normal SHIPPED_LIVE Low: sssd security, bug fix and enhancement update 2013-02-20 21:30:10 UTC

Description Dmitri Pal 2012-10-25 13:08:36 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/1589

https://bugzilla.redhat.com/show_bug.cgi?id=868121 (''Fedora'')

{{{
Description of problem:

sss_cache fails to clear the cache:

$ sudo sss_cache -UG
(Fri Oct 19 07:38:23:724827 2012) [sss_cache] [sysdb_domain_init_internal]
(0x0010): Wrong DB version (got 0.13 expected 0.11)
Could not open available domains

Version-Release number of selected component (if applicable):

$ rpm -q sssd
sssd-1.9.2-1.fc18.x86_64

How reproducible:

Every time


sssd is running

[stef@stef-rawhide realmd]$ ps -xa | grep sss
 7521 ?        Ss     0:00 /usr/sbin/sssd -D -f
 7522 ?        S      0:00 /usr/libexec/sssd/sssd_be --domain ipa.thewalter.lan
--debug-to-files
 7523 ?        S      0:00 /usr/libexec/sssd/sssd_be --domain AD
--debug-to-files
 7524 ?        S      0:00 /usr/libexec/sssd/sssd_be --domain RADI08
--debug-to-files
 7525 ?        S      0:00 /usr/libexec/sssd/sssd_nss --debug-to-files
 7526 ?        S      0:00 /usr/libexec/sssd/sssd_pam --debug-to-files
}}}

Comment 2 Amith 2012-11-29 15:14:35 UTC
Verified the BZ on SSSD version: sssd-1.9.2-27.el6

As part of testing, i modified the cache sysdb version to a non-existent value (0.99z). I hope we will never have an alphanumeric version for sysdb. Subsequent execution of sss_cache commad produced a better error message. See the cmd output below:

# sss_cache -U 
(Thu Nov 29 20:33:23:126171 2012) [sss_cache] [sysdb_domain_init_internal] (0x0010): Wrong DB version (got 0.99z expected 0.14)
Lower version of database is expected!
Removing cache files in /var/lib/sss/db should fix the issue, but note that removing cache files will also remove all of your cached credentials.
Could not open available domains

Comment 3 errata-xmlrpc 2013-02-21 09:38:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0508.html


Note You need to log in before you can comment on or make changes to this bug.